% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/estimation.R
\name{fit_model4}
\alias{fit_model4}
\title{Estimates the random effects model}
\usage{
fit_model4(Yeff, Xeff, Yse, Xse, start = c(0.4, -0.2, 0.05, 0.1, 0.005))
}
\arguments{
\item{Yeff}{Vector of estimates of the effect of treatment on Y, the
definitive outcome}

\item{Xeff}{Vector of estimates of the effect of treatment on X, the
surrogate outcome}

\item{Yse}{Vector of standard errors of the estimates on Y}

\item{Xse}{Vector of standard errors of the estimates on X}

\item{start}{Vector of length 5 of starting values}
}
\value{
A list with same component as \link{optim}, with the additional elements:
\describe{
 \item{n}{Sample size}
 \item{std.err}{Standard error estimates}
 \item{summary}{Summary table with estimates and their standard errors}
}
}
\description{
Fits the random effects model with measurement
error from Korn et al. (2005). This is an implementation of equation 7 from
that paper. A finite-sample variance adjustment is incorporated for the variance components.
}
\references{
Korn, EL, Albert, PS, and McShane LM (2005). Assessing surrogates
  as trial endpoints using mixed models. Statistics in Medicine; 24:163--182.
}

