% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/prediction.R
\name{predict_klmfit}
\alias{predict_klmfit}
\title{Prediction interval for future trial}
\usage{
predict_klmfit(fit4, v, sig0)
}
\arguments{
\item{fit4}{Model fit object as returned by \link{fit_model4}}

\item{v}{Value at which prediction is desired. This is a log-odds ratio}

\item{sig0}{Variance of v}
}
\value{
A list with elements:
\describe{
 \item{delta}{The predicted value}
 \item{se.delta}{The standard error of the prediction (confidence interval)}
 \item{se.pred}{The standard error of a new observation (prediction interval)}
 \item{a3}{The third component in the sum for the variance, for testing}
 }
}
\description{
Given a model fit, compute prediction and standard error of the prediction
for a future trial. Both the standard error for the mean, and the standard
error for the prediction are computed.
}

